import { scaleOrdinal } from 'd3'

const colorScale = scaleOrdinal()
	.domain(['apple', 'lemon'])
	.range(['#c11d1c', '#eae600'])

const sizeScale = scaleOrdinal()
	.domain(['lemon', 'apple'])
	.range([40, 50])


const xPosition = (d, i) => i * 120 + 60

export const fruitBowl = (selection, props) => {
  const { fruits, height } = props
  
  const circles = selection.selectAll('circle').data(fruits, d => d.id)
  
  circles
    .enter().append('circle')
      .attr('cy', height / 2)
  		.attr('cx', xPosition)
  		.attr('r', 0)
    .merge(circles)
  	.transition().duration(1000)
  		.attr('fill', d => colorScale(d.type))
  		.attr('cx', xPosition)
  		.attr('r', d => sizeScale(d.type))
  
  circles.exit()
    .transition().duration(1000)
    	.attr('r', 0).remove()
}

